Last Comment Bug 675634 - Firefox crashes while on a page that uses WebGL [@ gl::VertexDataConverter<float, gl::WidenRule<int, 2>, gl::ConversionRule<int, 0, int>, gl::DefaultVertexValues<float, int> >::convertArray(void const*, unsigned int, unsigned int, void*) ]
: Firefox crashes while on a page that uses WebGL [@ gl::VertexDataConverter<fl...
Status: RESOLVED WORKSFORME
[6b4], [6b5]
: crash, regression
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: 6 Branch
: x86 Windows XP
: -- critical (vote)
: mozilla8
Assigned To: Nobody; OK to take it and work on it
:
: Milan Sreckovic [:milan]
Mentors:
Depends on:
Blocks: 646825
  Show dependency treegraph
 
Reported: 2011-08-01 08:48 PDT by Simona B [:simonab ]
Modified: 2013-08-21 15:41 PDT (History)
8 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
+
fixed
+
fixed


Attachments
ANGLE r712 (5.09 KB, patch)
2011-08-02 13:37 PDT, Benoit Jacob [:bjacob] (mostly away)
jacob.benoit.1: review+
christian: approval‑mozilla‑aurora+
christian: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Simona B [:simonab ] 2011-08-01 08:48:48 PDT
Mozilla/5.0 (Windows NT 5.1; rv:6.0) Gecko/20100101 Firefox/6.0

Firefox 6.0b4 crashes sometimes when multiple pages that uses WebGL are loaded in the same window.

Reproducible: Sometimes

Steps to reproduce:

1. Load http://www.ibiblio.org/e-notes/webgl/waves/wave.html
2. In a second tab load http://bodybrowser.googlelabs.com/body.html#m=0&note=&ui=1&opa=s:1,m:1,sk:1,c:1,o:1,ci:1,l:1,n:1&nav=-73.81,104.98,250&sel=p:;h:;s:;c:0;o:0 
3. Start playing with the model from step 2 in the left panel of the page (maximize it, spin it, change body layers.

Actual results:

Firefox crashes. These are the crash reports:
bp-38cae2ad-2b84-445a-bee5-85bb12110801
bp-62986bef-f1d0-4d1b-b8a3-229122110801
bp-7c5b81dc-c39c-47d9-a6fb-e71c92110801
bp-ecb6fdf8-71a7-4253-b58b-b28f22110801
bp-09024ea2-a05a-46ec-bfb6-33e872110801
bp-79049038-aebb-4baa-8e45-cf1fa2110801
bp-7ea356f5-9c27-4310-bac5-814d92110801

Expected results:

Firefox works without crashing.
Comment 1 Benoit Jacob [:bjacob] (mostly away) 2011-08-01 10:37:59 PDT
The signature is very reminiscent of bug 646825. But if it were a duplicate, it would be fixed in Firefox 6.
Comment 2 Benoit Jacob [:bjacob] (mostly away) 2011-08-02 11:48:55 PDT
This is ANGLE bug 139:
http://code.google.com/p/angleproject/issues/detail?id=139

ANGLE r712 (and perhaps 713) should fix it.
Comment 3 christian 2011-08-02 13:25:00 PDT
We want to take this in Firefox 6.
Comment 4 Benoit Jacob [:bjacob] (mostly away) 2011-08-02 13:37:04 PDT
Created attachment 550184 [details] [diff] [review]
ANGLE r712

This is ANGLE r712, r=upstream.
Comment 5 christian 2011-08-02 14:56:15 PDT
Comment on attachment 550184 [details] [diff] [review]
ANGLE r712

Approved for releases/mozilla-aurora and mozilla-beta. Please land asap
Comment 7 Simona B [:simonab ] 2011-08-05 04:43:47 PDT
Mozilla/5.0 (Windows NT 5.1; rv:6.0) Gecko/20100101 Firefox/6.0

I got another crash on Firefox 6 beta 5 after unlocking my computer.

STR:
1. I loaded the two pages from the description.
2. I locked my computer for about 10 min.

After unlock Firefox crashed, this is the crash report:
bp-ea07038b-3897-40f5-8943-2613c2110805

I just got another crash while writing this Comment, the crash report is:
bp-327a6f6b-8200-4543-ac8f-fa82c2110805
Comment 8 Benoit Jacob [:bjacob] (mostly away) 2011-08-05 08:39:03 PDT
Oops. Trying to reproduce now.
Comment 9 Daniel Veditz [:dveditz] 2011-08-05 13:08:36 PDT
If this is the issue r712 is patching then it's a regression from bug 646825 (both patches from angle bug 139). If r712 doesn't fix this crash then it's something else entirely.
Comment 10 Benoit Jacob [:bjacob] (mostly away) 2011-08-05 13:20:21 PDT
Results from trying to reproduce:
 * on Win7, I can't reproduce any crash
 * on WinXP, I could reproduce one crash with these STR, but it was a different one altogether: bug 676918
Comment 11 christian 2011-08-05 13:23:50 PDT
So, sounds like we are ok here for Fx6. Adding the screen locking into the steps to reproduce makes this a lot less common (looks like 3 total crashes across all versions over the last week).
Comment 12 Scoobidiver (away) 2011-08-07 01:13:19 PDT
I see ANGLE r686 in about:support for 6.0b5/20110804030150.
Is something missing in the ANGLE r712 patch?
Comment 13 Benoit Jacob [:bjacob] (mostly away) 2011-08-07 07:53:57 PDT
We're at ANGLE r686, plus some patches including r702 and r712, but we don't have all the ANGLE revisions in between, so I'd still call this 'ANGLE r686 plus patches'.

The README.Mozilla file is indeed outdated, it says r653, should say r686.
Comment 14 Daniel Veditz [:dveditz] 2011-08-08 14:05:01 PDT
Setting status-firefox6 and status-firefox7 to reflect the aurora and beta checkins in comment 6 (otherwise this bug appears on the "approved but not landed" triage list).
Comment 15 Jeff Gilbert [:jgilbert] 2013-08-21 15:41:50 PDT
This appears to have been fixed. Please reopen if you're still hitting this crash.

Note You need to log in before you can comment on or make changes to this bug.